
.banner{
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: max-content;  
    position: relative;
    z-index: 1;
    margin-top: 49px;
}

.banner .img-banner{
    width: 100%;
    height: auto;
}

.descr-banner{
    position: absolute;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: max-content;
    margin-left: 10%;
    margin-top: 5%;
    font-family: 'CamptonLight';
    font-size: 2.5rem;
    color: #fff;
}

.text-weigth{
    font-family: 'CamptonSemiBold';
}

.form-banner{
    position: absolute;
    height: 370px;
    width: 450px;
    /* background-color: #2e4159; */
    left: 10%;
    top: 10%;
    display: grid;
    grid-template-columns: 85%;
    grid-template-rows: auto;
    justify-content: center;
    font-size: 0.9rem;
    color: #c3cbdc;
    padding-top: 10px;
    padding-bottom: 0px;
    z-index: 2;

    letter-spacing: 1px;
}

.form-banner form input{
    height: 55px;
    margin-bottom: 18px;
    width: 100%;
    background-color: #b8bcc4;
    border: 0;
}

.title-form-banner {
    padding: 20px;
}

.formulario-cadastro{
    background-color: #2e4159;
    padding: 20px;
}
.texto-campo-obrigatorio{
    background-color: #2e4159;
    padding: 20px;
}

.formulario-cadastro ::placeholder{
    color: #2e4159;
    font-weight: bold;
    
}

.form-banner input, textarea{
    padding: 10px;
}

.texto-campo-obrigatorio{
    font-size: 0.8rem;
}


  .form-banner button {
    background: #96c11f;
    color: #ffff;
    font-size: 1rem;
    text-transform: uppercase;
    padding: 18px;
    border: 0;
    width: 100%;
    transition: background-color 0.3s;
    cursor: pointer;
    border: none;
    outline: none;
    position: relative;
    cursor: pointer;
    --background-color: #C9952B;
    --border-size: 2px;
  }

  .form-banner button::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    border: var(--border-size) solid var(--background-color);
    transition: top, left, right, bottom, 200ms ease-in-out;
  }
  .form-banner button:hover::before,
  .form-banner button:focus::before {
    top: calc(var(--border-size) * -2);
    left: calc(var(--border-size) * -2);
    right: calc(var(--border-size) * -2);
    bottom: calc(var(--border-size) * -2);
  }
  
  




.texto-cadastre-se{
    margin-top: 2px;
    margin-bottom: 0px;
    font-size: 2rem;
    letter-spacing: 3px;
}

.title-form-banner{
    background-color: #2e4159;
}

.title-form-banner hr{
    border-color: #e6e1db;
}

.title-form-banner p{
    font-size: 1.3rem;
}

.texto-campo-obrigatorio{
    margin-top: 0px;
    margin-bottom: 0px;
    font-family: 'Barlow-Light';
}

.social-icons {
    position: fixed;
    top: 90%;
    right: 30px;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 2;
    
}


.icon {
    margin-bottom: 5px;
    transition: opacity 0.3s ease;
    font-size: 2rem;
    z-index: 99;
    width: 100%;
    height: 100%;

}

.icon:hover {
    opacity: 0.7;
}

.custom-opacity {
    opacity: 1;
}

.social-icons img{
    width: 45px;
    height: 45px;
}




@media only screen and (max-width: 813px) {

    .form-banner{
        display: none;
    }

    .banner{
        margin-top: 0px;
    }

    .descr-banner{
        position: absolute;
        display: grid;
        grid-template-columns: 100%;
        grid-template-rows: max-content;
        margin-left: 10%;
        margin-top: 50px;
        font-family: 'Barlow-Light';
        font-size: 1.2rem;
        color: #fff;
    }

    .logo-menu {
        width: 250px;
        height: auto;
        left: 0;
        padding-left: 8%;
        margin-top: 4px;
    }

    .social-icons {
        position: fixed;
        top: 50%;
        right: 20px;
        transform: translateY(-50%);
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }
    

}